Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network62.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
62.64.0.0
Broadcast address
62.127.255.255
First usable
62.64.0.1
Last usable
62.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 3E400000 · Integer 1044381696 to 1048575999
Reverse DNS zones
64.62.in-addr.arpa
65.62.in-addr.arpa
66.62.in-addr.arpa
67.62.in-addr.arpa
68.62.in-addr.arpa
69.62.in-addr.arpa
70.62.in-addr.arpa
71.62.in-addr.arpa
72.62.in-addr.arpa
73.62.in-addr.arpa
74.62.in-addr.arpa
75.62.in-addr.arpa
76.62.in-addr.arpa
77.62.in-addr.arpa
78.62.in-addr.arpa
79.62.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111110.01000000.00000000.0000000062.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00111110.01000000.00000000.0000000062.64.0.0
Broadcast00111110.01111111.11111111.1111111162.127.255.255
Split into smaller subnets/19

62.64.0.0/10 makes 512 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
162.64.0.0/1962.64.0.1 to 62.64.31.25462.64.31.2558,190
262.64.32.0/1962.64.32.1 to 62.64.63.25462.64.63.2558,190
362.64.64.0/1962.64.64.1 to 62.64.95.25462.64.95.2558,190
462.64.96.0/1962.64.96.1 to 62.64.127.25462.64.127.2558,190
562.64.128.0/1962.64.128.1 to 62.64.159.25462.64.159.2558,190
662.64.160.0/1962.64.160.1 to 62.64.191.25462.64.191.2558,190
762.64.192.0/1962.64.192.1 to 62.64.223.25462.64.223.2558,190
862.64.224.0/1962.64.224.1 to 62.64.255.25462.64.255.2558,190
962.65.0.0/1962.65.0.1 to 62.65.31.25462.65.31.2558,190
1062.65.32.0/1962.65.32.1 to 62.65.63.25462.65.63.2558,190
1162.65.64.0/1962.65.64.1 to 62.65.95.25462.65.95.2558,190
1262.65.96.0/1962.65.96.1 to 62.65.127.25462.65.127.2558,190
1362.65.128.0/1962.65.128.1 to 62.65.159.25462.65.159.2558,190
1462.65.160.0/1962.65.160.1 to 62.65.191.25462.65.191.2558,190
1562.65.192.0/1962.65.192.1 to 62.65.223.25462.65.223.2558,190
1662.65.224.0/1962.65.224.1 to 62.65.255.25462.65.255.2558,190
1762.66.0.0/1962.66.0.1 to 62.66.31.25462.66.31.2558,190
1862.66.32.0/1962.66.32.1 to 62.66.63.25462.66.63.2558,190
1962.66.64.0/1962.66.64.1 to 62.66.95.25462.66.95.2558,190
2062.66.96.0/1962.66.96.1 to 62.66.127.25462.66.127.2558,190
2162.66.128.0/1962.66.128.1 to 62.66.159.25462.66.159.2558,190
2262.66.160.0/1962.66.160.1 to 62.66.191.25462.66.191.2558,190
2362.66.192.0/1962.66.192.1 to 62.66.223.25462.66.223.2558,190
2462.66.224.0/1962.66.224.1 to 62.66.255.25462.66.255.2558,190
2562.67.0.0/1962.67.0.1 to 62.67.31.25462.67.31.2558,190
2662.67.32.0/1962.67.32.1 to 62.67.63.25462.67.63.2558,190
2762.67.64.0/1962.67.64.1 to 62.67.95.25462.67.95.2558,190
2862.67.96.0/1962.67.96.1 to 62.67.127.25462.67.127.2558,190
2962.67.128.0/1962.67.128.1 to 62.67.159.25462.67.159.2558,190
3062.67.160.0/1962.67.160.1 to 62.67.191.25462.67.191.2558,190
3162.67.192.0/1962.67.192.1 to 62.67.223.25462.67.223.2558,190
3262.67.224.0/1962.67.224.1 to 62.67.255.25462.67.255.2558,190
3362.68.0.0/1962.68.0.1 to 62.68.31.25462.68.31.2558,190
3462.68.32.0/1962.68.32.1 to 62.68.63.25462.68.63.2558,190
3562.68.64.0/1962.68.64.1 to 62.68.95.25462.68.95.2558,190
3662.68.96.0/1962.68.96.1 to 62.68.127.25462.68.127.2558,190
3762.68.128.0/1962.68.128.1 to 62.68.159.25462.68.159.2558,190
3862.68.160.0/1962.68.160.1 to 62.68.191.25462.68.191.2558,190
3962.68.192.0/1962.68.192.1 to 62.68.223.25462.68.223.2558,190
4062.68.224.0/1962.68.224.1 to 62.68.255.25462.68.255.2558,190
4162.69.0.0/1962.69.0.1 to 62.69.31.25462.69.31.2558,190
4262.69.32.0/1962.69.32.1 to 62.69.63.25462.69.63.2558,190
4362.69.64.0/1962.69.64.1 to 62.69.95.25462.69.95.2558,190
4462.69.96.0/1962.69.96.1 to 62.69.127.25462.69.127.2558,190
4562.69.128.0/1962.69.128.1 to 62.69.159.25462.69.159.2558,190
4662.69.160.0/1962.69.160.1 to 62.69.191.25462.69.191.2558,190
4762.69.192.0/1962.69.192.1 to 62.69.223.25462.69.223.2558,190
4862.69.224.0/1962.69.224.1 to 62.69.255.25462.69.255.2558,190
4962.70.0.0/1962.70.0.1 to 62.70.31.25462.70.31.2558,190
5062.70.32.0/1962.70.32.1 to 62.70.63.25462.70.63.2558,190
5162.70.64.0/1962.70.64.1 to 62.70.95.25462.70.95.2558,190
5262.70.96.0/1962.70.96.1 to 62.70.127.25462.70.127.2558,190
5362.70.128.0/1962.70.128.1 to 62.70.159.25462.70.159.2558,190
5462.70.160.0/1962.70.160.1 to 62.70.191.25462.70.191.2558,190
5562.70.192.0/1962.70.192.1 to 62.70.223.25462.70.223.2558,190
5662.70.224.0/1962.70.224.1 to 62.70.255.25462.70.255.2558,190
5762.71.0.0/1962.71.0.1 to 62.71.31.25462.71.31.2558,190
5862.71.32.0/1962.71.32.1 to 62.71.63.25462.71.63.2558,190
5962.71.64.0/1962.71.64.1 to 62.71.95.25462.71.95.2558,190
6062.71.96.0/1962.71.96.1 to 62.71.127.25462.71.127.2558,190
6162.71.128.0/1962.71.128.1 to 62.71.159.25462.71.159.2558,190
6262.71.160.0/1962.71.160.1 to 62.71.191.25462.71.191.2558,190
6362.71.192.0/1962.71.192.1 to 62.71.223.25462.71.223.2558,190
6462.71.224.0/1962.71.224.1 to 62.71.255.25462.71.255.2558,190
6562.72.0.0/1962.72.0.1 to 62.72.31.25462.72.31.2558,190
6662.72.32.0/1962.72.32.1 to 62.72.63.25462.72.63.2558,190
6762.72.64.0/1962.72.64.1 to 62.72.95.25462.72.95.2558,190
6862.72.96.0/1962.72.96.1 to 62.72.127.25462.72.127.2558,190
6962.72.128.0/1962.72.128.1 to 62.72.159.25462.72.159.2558,190
7062.72.160.0/1962.72.160.1 to 62.72.191.25462.72.191.2558,190
7162.72.192.0/1962.72.192.1 to 62.72.223.25462.72.223.2558,190
7262.72.224.0/1962.72.224.1 to 62.72.255.25462.72.255.2558,190
7362.73.0.0/1962.73.0.1 to 62.73.31.25462.73.31.2558,190
7462.73.32.0/1962.73.32.1 to 62.73.63.25462.73.63.2558,190
7562.73.64.0/1962.73.64.1 to 62.73.95.25462.73.95.2558,190
7662.73.96.0/1962.73.96.1 to 62.73.127.25462.73.127.2558,190
7762.73.128.0/1962.73.128.1 to 62.73.159.25462.73.159.2558,190
7862.73.160.0/1962.73.160.1 to 62.73.191.25462.73.191.2558,190
7962.73.192.0/1962.73.192.1 to 62.73.223.25462.73.223.2558,190
8062.73.224.0/1962.73.224.1 to 62.73.255.25462.73.255.2558,190
8162.74.0.0/1962.74.0.1 to 62.74.31.25462.74.31.2558,190
8262.74.32.0/1962.74.32.1 to 62.74.63.25462.74.63.2558,190
8362.74.64.0/1962.74.64.1 to 62.74.95.25462.74.95.2558,190
8462.74.96.0/1962.74.96.1 to 62.74.127.25462.74.127.2558,190
8562.74.128.0/1962.74.128.1 to 62.74.159.25462.74.159.2558,190
8662.74.160.0/1962.74.160.1 to 62.74.191.25462.74.191.2558,190
8762.74.192.0/1962.74.192.1 to 62.74.223.25462.74.223.2558,190
8862.74.224.0/1962.74.224.1 to 62.74.255.25462.74.255.2558,190
8962.75.0.0/1962.75.0.1 to 62.75.31.25462.75.31.2558,190
9062.75.32.0/1962.75.32.1 to 62.75.63.25462.75.63.2558,190
9162.75.64.0/1962.75.64.1 to 62.75.95.25462.75.95.2558,190
9262.75.96.0/1962.75.96.1 to 62.75.127.25462.75.127.2558,190
9362.75.128.0/1962.75.128.1 to 62.75.159.25462.75.159.2558,190
9462.75.160.0/1962.75.160.1 to 62.75.191.25462.75.191.2558,190
9562.75.192.0/1962.75.192.1 to 62.75.223.25462.75.223.2558,190
9662.75.224.0/1962.75.224.1 to 62.75.255.25462.75.255.2558,190
9762.76.0.0/1962.76.0.1 to 62.76.31.25462.76.31.2558,190
9862.76.32.0/1962.76.32.1 to 62.76.63.25462.76.63.2558,190
9962.76.64.0/1962.76.64.1 to 62.76.95.25462.76.95.2558,190
10062.76.96.0/1962.76.96.1 to 62.76.127.25462.76.127.2558,190
10162.76.128.0/1962.76.128.1 to 62.76.159.25462.76.159.2558,190
10262.76.160.0/1962.76.160.1 to 62.76.191.25462.76.191.2558,190
10362.76.192.0/1962.76.192.1 to 62.76.223.25462.76.223.2558,190
10462.76.224.0/1962.76.224.1 to 62.76.255.25462.76.255.2558,190
10562.77.0.0/1962.77.0.1 to 62.77.31.25462.77.31.2558,190
10662.77.32.0/1962.77.32.1 to 62.77.63.25462.77.63.2558,190
10762.77.64.0/1962.77.64.1 to 62.77.95.25462.77.95.2558,190
10862.77.96.0/1962.77.96.1 to 62.77.127.25462.77.127.2558,190
10962.77.128.0/1962.77.128.1 to 62.77.159.25462.77.159.2558,190
11062.77.160.0/1962.77.160.1 to 62.77.191.25462.77.191.2558,190
11162.77.192.0/1962.77.192.1 to 62.77.223.25462.77.223.2558,190
11262.77.224.0/1962.77.224.1 to 62.77.255.25462.77.255.2558,190
11362.78.0.0/1962.78.0.1 to 62.78.31.25462.78.31.2558,190
11462.78.32.0/1962.78.32.1 to 62.78.63.25462.78.63.2558,190
11562.78.64.0/1962.78.64.1 to 62.78.95.25462.78.95.2558,190
11662.78.96.0/1962.78.96.1 to 62.78.127.25462.78.127.2558,190
11762.78.128.0/1962.78.128.1 to 62.78.159.25462.78.159.2558,190
11862.78.160.0/1962.78.160.1 to 62.78.191.25462.78.191.2558,190
11962.78.192.0/1962.78.192.1 to 62.78.223.25462.78.223.2558,190
12062.78.224.0/1962.78.224.1 to 62.78.255.25462.78.255.2558,190
12162.79.0.0/1962.79.0.1 to 62.79.31.25462.79.31.2558,190
12262.79.32.0/1962.79.32.1 to 62.79.63.25462.79.63.2558,190
12362.79.64.0/1962.79.64.1 to 62.79.95.25462.79.95.2558,190
12462.79.96.0/1962.79.96.1 to 62.79.127.25462.79.127.2558,190
12562.79.128.0/1962.79.128.1 to 62.79.159.25462.79.159.2558,190
12662.79.160.0/1962.79.160.1 to 62.79.191.25462.79.191.2558,190
12762.79.192.0/1962.79.192.1 to 62.79.223.25462.79.223.2558,190
12862.79.224.0/1962.79.224.1 to 62.79.255.25462.79.255.2558,190
12962.80.0.0/1962.80.0.1 to 62.80.31.25462.80.31.2558,190
13062.80.32.0/1962.80.32.1 to 62.80.63.25462.80.63.2558,190
13162.80.64.0/1962.80.64.1 to 62.80.95.25462.80.95.2558,190
13262.80.96.0/1962.80.96.1 to 62.80.127.25462.80.127.2558,190
13362.80.128.0/1962.80.128.1 to 62.80.159.25462.80.159.2558,190
13462.80.160.0/1962.80.160.1 to 62.80.191.25462.80.191.2558,190
13562.80.192.0/1962.80.192.1 to 62.80.223.25462.80.223.2558,190
13662.80.224.0/1962.80.224.1 to 62.80.255.25462.80.255.2558,190
13762.81.0.0/1962.81.0.1 to 62.81.31.25462.81.31.2558,190
13862.81.32.0/1962.81.32.1 to 62.81.63.25462.81.63.2558,190
13962.81.64.0/1962.81.64.1 to 62.81.95.25462.81.95.2558,190
14062.81.96.0/1962.81.96.1 to 62.81.127.25462.81.127.2558,190
14162.81.128.0/1962.81.128.1 to 62.81.159.25462.81.159.2558,190
14262.81.160.0/1962.81.160.1 to 62.81.191.25462.81.191.2558,190
14362.81.192.0/1962.81.192.1 to 62.81.223.25462.81.223.2558,190
14462.81.224.0/1962.81.224.1 to 62.81.255.25462.81.255.2558,190
14562.82.0.0/1962.82.0.1 to 62.82.31.25462.82.31.2558,190
14662.82.32.0/1962.82.32.1 to 62.82.63.25462.82.63.2558,190
14762.82.64.0/1962.82.64.1 to 62.82.95.25462.82.95.2558,190
14862.82.96.0/1962.82.96.1 to 62.82.127.25462.82.127.2558,190
14962.82.128.0/1962.82.128.1 to 62.82.159.25462.82.159.2558,190
15062.82.160.0/1962.82.160.1 to 62.82.191.25462.82.191.2558,190
15162.82.192.0/1962.82.192.1 to 62.82.223.25462.82.223.2558,190
15262.82.224.0/1962.82.224.1 to 62.82.255.25462.82.255.2558,190
15362.83.0.0/1962.83.0.1 to 62.83.31.25462.83.31.2558,190
15462.83.32.0/1962.83.32.1 to 62.83.63.25462.83.63.2558,190
15562.83.64.0/1962.83.64.1 to 62.83.95.25462.83.95.2558,190
15662.83.96.0/1962.83.96.1 to 62.83.127.25462.83.127.2558,190
15762.83.128.0/1962.83.128.1 to 62.83.159.25462.83.159.2558,190
15862.83.160.0/1962.83.160.1 to 62.83.191.25462.83.191.2558,190
15962.83.192.0/1962.83.192.1 to 62.83.223.25462.83.223.2558,190
16062.83.224.0/1962.83.224.1 to 62.83.255.25462.83.255.2558,190
16162.84.0.0/1962.84.0.1 to 62.84.31.25462.84.31.2558,190
16262.84.32.0/1962.84.32.1 to 62.84.63.25462.84.63.2558,190
16362.84.64.0/1962.84.64.1 to 62.84.95.25462.84.95.2558,190
16462.84.96.0/1962.84.96.1 to 62.84.127.25462.84.127.2558,190
16562.84.128.0/1962.84.128.1 to 62.84.159.25462.84.159.2558,190
16662.84.160.0/1962.84.160.1 to 62.84.191.25462.84.191.2558,190
16762.84.192.0/1962.84.192.1 to 62.84.223.25462.84.223.2558,190
16862.84.224.0/1962.84.224.1 to 62.84.255.25462.84.255.2558,190
16962.85.0.0/1962.85.0.1 to 62.85.31.25462.85.31.2558,190
17062.85.32.0/1962.85.32.1 to 62.85.63.25462.85.63.2558,190
17162.85.64.0/1962.85.64.1 to 62.85.95.25462.85.95.2558,190
17262.85.96.0/1962.85.96.1 to 62.85.127.25462.85.127.2558,190
17362.85.128.0/1962.85.128.1 to 62.85.159.25462.85.159.2558,190
17462.85.160.0/1962.85.160.1 to 62.85.191.25462.85.191.2558,190
17562.85.192.0/1962.85.192.1 to 62.85.223.25462.85.223.2558,190
17662.85.224.0/1962.85.224.1 to 62.85.255.25462.85.255.2558,190
17762.86.0.0/1962.86.0.1 to 62.86.31.25462.86.31.2558,190
17862.86.32.0/1962.86.32.1 to 62.86.63.25462.86.63.2558,190
17962.86.64.0/1962.86.64.1 to 62.86.95.25462.86.95.2558,190
18062.86.96.0/1962.86.96.1 to 62.86.127.25462.86.127.2558,190
18162.86.128.0/1962.86.128.1 to 62.86.159.25462.86.159.2558,190
18262.86.160.0/1962.86.160.1 to 62.86.191.25462.86.191.2558,190
18362.86.192.0/1962.86.192.1 to 62.86.223.25462.86.223.2558,190
18462.86.224.0/1962.86.224.1 to 62.86.255.25462.86.255.2558,190
18562.87.0.0/1962.87.0.1 to 62.87.31.25462.87.31.2558,190
18662.87.32.0/1962.87.32.1 to 62.87.63.25462.87.63.2558,190
18762.87.64.0/1962.87.64.1 to 62.87.95.25462.87.95.2558,190
18862.87.96.0/1962.87.96.1 to 62.87.127.25462.87.127.2558,190
18962.87.128.0/1962.87.128.1 to 62.87.159.25462.87.159.2558,190
19062.87.160.0/1962.87.160.1 to 62.87.191.25462.87.191.2558,190
19162.87.192.0/1962.87.192.1 to 62.87.223.25462.87.223.2558,190
19262.87.224.0/1962.87.224.1 to 62.87.255.25462.87.255.2558,190
19362.88.0.0/1962.88.0.1 to 62.88.31.25462.88.31.2558,190
19462.88.32.0/1962.88.32.1 to 62.88.63.25462.88.63.2558,190
19562.88.64.0/1962.88.64.1 to 62.88.95.25462.88.95.2558,190
19662.88.96.0/1962.88.96.1 to 62.88.127.25462.88.127.2558,190
19762.88.128.0/1962.88.128.1 to 62.88.159.25462.88.159.2558,190
19862.88.160.0/1962.88.160.1 to 62.88.191.25462.88.191.2558,190
19962.88.192.0/1962.88.192.1 to 62.88.223.25462.88.223.2558,190
20062.88.224.0/1962.88.224.1 to 62.88.255.25462.88.255.2558,190
20162.89.0.0/1962.89.0.1 to 62.89.31.25462.89.31.2558,190
20262.89.32.0/1962.89.32.1 to 62.89.63.25462.89.63.2558,190
20362.89.64.0/1962.89.64.1 to 62.89.95.25462.89.95.2558,190
20462.89.96.0/1962.89.96.1 to 62.89.127.25462.89.127.2558,190
20562.89.128.0/1962.89.128.1 to 62.89.159.25462.89.159.2558,190
20662.89.160.0/1962.89.160.1 to 62.89.191.25462.89.191.2558,190
20762.89.192.0/1962.89.192.1 to 62.89.223.25462.89.223.2558,190
20862.89.224.0/1962.89.224.1 to 62.89.255.25462.89.255.2558,190
20962.90.0.0/1962.90.0.1 to 62.90.31.25462.90.31.2558,190
21062.90.32.0/1962.90.32.1 to 62.90.63.25462.90.63.2558,190
21162.90.64.0/1962.90.64.1 to 62.90.95.25462.90.95.2558,190
21262.90.96.0/1962.90.96.1 to 62.90.127.25462.90.127.2558,190
21362.90.128.0/1962.90.128.1 to 62.90.159.25462.90.159.2558,190
21462.90.160.0/1962.90.160.1 to 62.90.191.25462.90.191.2558,190
21562.90.192.0/1962.90.192.1 to 62.90.223.25462.90.223.2558,190
21662.90.224.0/1962.90.224.1 to 62.90.255.25462.90.255.2558,190
21762.91.0.0/1962.91.0.1 to 62.91.31.25462.91.31.2558,190
21862.91.32.0/1962.91.32.1 to 62.91.63.25462.91.63.2558,190
21962.91.64.0/1962.91.64.1 to 62.91.95.25462.91.95.2558,190
22062.91.96.0/1962.91.96.1 to 62.91.127.25462.91.127.2558,190
22162.91.128.0/1962.91.128.1 to 62.91.159.25462.91.159.2558,190
22262.91.160.0/1962.91.160.1 to 62.91.191.25462.91.191.2558,190
22362.91.192.0/1962.91.192.1 to 62.91.223.25462.91.223.2558,190
22462.91.224.0/1962.91.224.1 to 62.91.255.25462.91.255.2558,190
22562.92.0.0/1962.92.0.1 to 62.92.31.25462.92.31.2558,190
22662.92.32.0/1962.92.32.1 to 62.92.63.25462.92.63.2558,190
22762.92.64.0/1962.92.64.1 to 62.92.95.25462.92.95.2558,190
22862.92.96.0/1962.92.96.1 to 62.92.127.25462.92.127.2558,190
22962.92.128.0/1962.92.128.1 to 62.92.159.25462.92.159.2558,190
23062.92.160.0/1962.92.160.1 to 62.92.191.25462.92.191.2558,190
23162.92.192.0/1962.92.192.1 to 62.92.223.25462.92.223.2558,190
23262.92.224.0/1962.92.224.1 to 62.92.255.25462.92.255.2558,190
23362.93.0.0/1962.93.0.1 to 62.93.31.25462.93.31.2558,190
23462.93.32.0/1962.93.32.1 to 62.93.63.25462.93.63.2558,190
23562.93.64.0/1962.93.64.1 to 62.93.95.25462.93.95.2558,190
23662.93.96.0/1962.93.96.1 to 62.93.127.25462.93.127.2558,190
23762.93.128.0/1962.93.128.1 to 62.93.159.25462.93.159.2558,190
23862.93.160.0/1962.93.160.1 to 62.93.191.25462.93.191.2558,190
23962.93.192.0/1962.93.192.1 to 62.93.223.25462.93.223.2558,190
24062.93.224.0/1962.93.224.1 to 62.93.255.25462.93.255.2558,190
24162.94.0.0/1962.94.0.1 to 62.94.31.25462.94.31.2558,190
24262.94.32.0/1962.94.32.1 to 62.94.63.25462.94.63.2558,190
24362.94.64.0/1962.94.64.1 to 62.94.95.25462.94.95.2558,190
24462.94.96.0/1962.94.96.1 to 62.94.127.25462.94.127.2558,190
24562.94.128.0/1962.94.128.1 to 62.94.159.25462.94.159.2558,190
24662.94.160.0/1962.94.160.1 to 62.94.191.25462.94.191.2558,190
24762.94.192.0/1962.94.192.1 to 62.94.223.25462.94.223.2558,190
24862.94.224.0/1962.94.224.1 to 62.94.255.25462.94.255.2558,190
24962.95.0.0/1962.95.0.1 to 62.95.31.25462.95.31.2558,190
25062.95.32.0/1962.95.32.1 to 62.95.63.25462.95.63.2558,190
25162.95.64.0/1962.95.64.1 to 62.95.95.25462.95.95.2558,190
25262.95.96.0/1962.95.96.1 to 62.95.127.25462.95.127.2558,190
25362.95.128.0/1962.95.128.1 to 62.95.159.25462.95.159.2558,190
25462.95.160.0/1962.95.160.1 to 62.95.191.25462.95.191.2558,190
25562.95.192.0/1962.95.192.1 to 62.95.223.25462.95.223.2558,190
25662.95.224.0/1962.95.224.1 to 62.95.255.25462.95.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses